search: List the access tokens of the authenticated user

API: sonarcloud.io:sonarqube
Endpoint: /api/user_tokens/search
Response format: application/json
Auth: unknown
Method: GET
Last Status: 401
Latency: 138ms

Description

List the access tokens of the authenticated user. Field 'lastConnectionDate' is only updated every hour, so it may not be accurate, for instance when a user is using a token many times in less than one hour.

Parameters (1)

login (string, query, optional)

Deprecated and ignored. Tokens are always listed for the authenticated user.

Examples (1)

List the access tokens of the authenticated user openapi-spec
curl 'https://sonarcloud.io/api/user_tokens/search?login=g.hopper'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/user_tokens/search",
    params={
        'login': 'g.hopper',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/user_tokens/search", login="g.hopper")

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/user_tokens/search?login=g.hopper");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:16:30.371114 401 138ms
2026-04-15 01:05:04.394947 401 138ms
2026-04-14 03:51:41.306952 401 138ms
2026-04-12 12:35:00.346991 401 386ms
2026-04-10 00:43:30.425902 401 114ms
2026-04-09 03:07:34.231256 401 270ms